# Uses of Class
com.databricks.jdbc.model.core.ColumnMetadata

Packages that use ColumnMetadata
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.model.core

## Uses of ColumnMetadata in com.databricks.jdbc.api.impl

Constructor parameters in com.databricks.jdbc.api.impl with type arguments of type ColumnMetadata
Modifier
Constructor
Description
``
`DatabricksResultSet(StatementStatus statementStatus, StatementId statementId, List<ColumnMetadata> columnMetadataList, List<List<Object>> rows, StatementType statementType)`
``
`DatabricksResultSetMetaData(StatementId statementId, List<ColumnMetadata> columnMetadataList, long totalRows)`
Constructs a `DatabricksResultSetMetaData` object for metadata result set (SEA Flow)

## Uses of ColumnMetadata in com.databricks.jdbc.model.core

Methods in com.databricks.jdbc.model.core that return ColumnMetadata
Modifier and Type
Method
Description
`ColumnMetadata`
ColumnMetadata.Builder.`build()`